/* Custom styles to match the Innertalkz theme while using Bootstrap */
.app-banner {
    background-color: var(--primaryColor);
    /* Light blueish background */
    border-bottom: 1px solid #dee2e6;
    display: none; 
    color: white;
}

/* Slide Down Animation */
@keyframes slideDown {
    from {
        transform: translateY(-100%);
        opacity: 0;
    }
    to {
        transform: translateY(0);
        opacity: 1;
    }
}

.animate-slide-down {
    display: block !important;
    animation: slideDown 0.5s ease-out forwards;
}

.innertalkz-btn {
    background-color: var(--secondaryColor);
    border-color: var(--secondaryColor);
    color: white;
    font-size: 0.75rem;
    font-weight: 600;
    padding: 0.5rem 1rem;
}

.innertalkz-btn:hover,
.innertalkz-btn:active {
    background-color: var(--secondaryColor);
    border-color: var(--secondaryColor);
    color: white;
}

.app-icon-container {
    width: 40px;
    height: 40px;
    background: white;
    border-radius: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
}

.app-icon-container img {
    padding: 5px;
    height: 40px;
    width: 40px;
}

.custom-close {
    font-size: 0.6rem;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='red'%3e%3cpath d='M.293.293a1 1 0 011.414 0L8 6.586 14.293.293a1 1 0 111.414 1.414L9.414 8l6.293 6.293a1 1 0 01-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 01-1.414-1.414L6.586 8 .293 1.707a1 1 0 010-1.414z'/%3e%3c/svg%3e");
}

.banner-hidden {
    display: none !important;
}